## python-pyeclib 1.0.5m

=== Makefile ===
# Copyright (c) 2014, Tushar Gohad (tusharsg@gmail.com)
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# Redistributions of source code must retain the above copyright notice, this
# list of conditions and the following disclaimer.
#
# Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.  THIS SOFTWARE IS
# PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
# OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
# NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

TOPDIR := $(PWD)

.PHONY: build test

build:
	python setup.py build

install:	build
	python setup.py install

UNITS := test/test_pyeclib_api.py test/test_pyeclib_c.py

test:		build
	$(eval SONAMES := $(shell find $(abs_top_builddir) -name '*.so'))
	$(eval SODIRS := $(dir $(SONAMES)))
	$(eval LD_LIBRARY_PATH := LD_LIBRARY_PATH="$(subst / ,/:,$(SODIRS))")
	$(eval DYLD_LIBRARY_PATH := DYLD_LIBRARY_PATH="$(subst / ,/:,$(SODIRS))")
	$(eval DYLD_FALLBACK_LIBRARY_PATH := DYLD_FALLBACK_LIBRARY_PATH="$(subst / ,/:,$(SODIRS))")
	rm -rf cover .coverage
	@$(LD_LIBRARY_PATH) $(DYLD_LIBRARY_PATH) $(DYLD_FALLBACK_LIBRARY_PATH) \
		nosetests --exe --with-coverage \
		--cover-package pyeclib --cover-erase \
		--cover-html --cover-html-dir=${TOPDIR}/cover \
		$(UNITS)

clean:
	-rm -f pyeclib_c.so
	-rm -rf build
	python setup.py clean

=== debian/changelog ===
python-pyeclib (1.0.5m-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1432496)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Mar 2015 09:24:09 -0400

python-pyeclib (1.0.5m-1) unstable; urgency=medium

  * New upstream release using liberasurecode 1.0.5.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Mar 2015 23:23:29 +0000

python-pyeclib (0.9.10-3) unstable; urgency=medium

  * Fixed the debian/watch file to use the URL from bitbucket.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Mar 2015 18:41:06 +0000

python-pyeclib (0.9.10-2) unstable; urgency=medium

  * Added missing python{3,}-all-dev build-depends.
  * Added missing libjerasure-dev build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Nov 2014 02:15:48 +0800

python-pyeclib (0.9.10-1) unstable; urgency=low

  * Initial release. (Closes: #769519)

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Nov 2014 17:37:50 +0800

=== debian/control ===
Source: python-pyeclib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               liberasurecode-dev,
               libgf-complete-dev,
               libjerasure-dev,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python3-all-dev,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pyeclib.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pyeclib.git
Homepage: https://bitbucket.org/kmgreen2/pyeclib

Package: python-pyeclib
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: interface for implementing erasure codes - Python 2.x
 This library provides a simple Python interface for implementing erasure
 codes. To obtain the best possible performance, the underlying erasure code
 algorithms are written in C.
 .
 This library makes use of Jerasure for Reed-Solomon and provides its own flat
 XOR-based erasure code encoder and decoder. Currently, it implements a
 specific class of HD Combination Codes (see "Flat XOR-based erasure codes in
 storage systems: Constructions, efficient recovery, and tradeoffs" in IEEE
 MSST 2010). These codes are well-suited to archival use-cases, have a simple
 construction and require a minimum number of participating disks during
 single-disk reconstruction (think XOR-based LRC code).
 .
 This package contains the Python 2.x module.

Package: python3-pyeclib
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: interface for implementing erasure codes - Python 3.x
 This library provides a simple Python interface for implementing erasure
 codes. To obtain the best possible performance, the underlying erasure code
 algorithms are written in C.
 .
 This library makes use of Jerasure for Reed-Solomon and provides its own flat
 XOR-based erasure code encoder and decoder. Currently, it implements a
 specific class of HD Combination Codes (see "Flat XOR-based erasure codes in
 storage systems: Constructions, efficient recovery, and tradeoffs" in IEEE
 MSST 2010). These codes are well-suited to archival use-cases, have a simple
 construction and require a minimum number of participating disks during
 single-disk reconstruction (think XOR-based LRC code).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = https://bitbucket.org/kmgreen2/pyeclib.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pyeclib; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pyeclib; \
	done

override_dh_auto_clean:
	find . -iname '*.pyc' -delete

# TODO: run the test stuff
#override_dh_auto_test:
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
#		python$$pyvers setup.py test ; \
#	done
#endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts="uversionmangle=s/[\.-](b|rc)/~$1/" \
https://bitbucket.org/kmgreen2/pyeclib/downloads /kmgreen2/pyeclib/get/v(\d[brc\d\.-]+)\.tar\.gz

## python-pyeclib 1.0.8

=== debian/changelog ===
python-pyeclib (1.0.8-3~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Sep 2015 11:01:12 +0000

python-pyeclib (1.0.8-3) unstable; urgency=medium

  * Team upload.
  * Drop BD's on gf-complete and jerasure dev packages; not required
    due to the runtime nature of backend loading in liberasurecode.
  * d/p/big-endian.patch: Cherry pick fix from upstream VCS to resolve
    issues on big endian architectures.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Sep 2015 13:32:08 +0100

python-pyeclib (1.0.8-2) unstable; urgency=medium

  * Team upload.
  * Match version of liberasurecode-dev with pyeclib.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Aug 2015 14:19:02 +0100

python-pyeclib (1.0.8-1) unstable; urgency=medium

  [ James Page ]
  * d/rules: Enable unit testing for python2.

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Aug 2015 08:35:22 +0000

python-pyeclib (1.0.7m-1) unstable; urgency=medium

  * New upstream release.
  * Added dh-python as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 May 2015 05:55:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
            Mehdi Abaakouk <sileht@sileht.net>,
            Gonéri Le Bouder <goneri@debian.org>
 Build-Depends: debhelper (>= 9),
-               liberasurecode-dev,
-               libgf-complete-dev,
-               libjerasure-dev,
+               dh-python,
+               liberasurecode-dev (>= 1.0.8),
                python-all-dev (>= 2.6.6-3~),
                python-setuptools,
                python3-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,14 @@
 
 override_dh_auto_clean:
 	find . -iname '*.pyc' -delete
+	rm -rf build pyeclib_c*.so
 
-# TODO: run the test stuff
-#override_dh_auto_test:
-#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
-#		python$$pyvers setup.py test ; \
-#	done
-#endif
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S) ; do \
+		python$$pyvers setup.py test ; \
+	done
+endif
 
 # Commands not to run
 override_dh_installcatalogs:

## python-pyeclib 1.2.0

=== debian/changelog ===
python-pyeclib (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Added Suggests libjerasure2.
  * Added Debian tests.
  * Added myself as uploader.
  * Added myself to copyright file.
  * Fixed Vcs URLs.
  * Removed patch: disable-check-for-liberasure-code.patch
  * Removed patch: more-rpath-tweak-removal.patch
  * Removed install-liberasurecode=no option, it's not needed anymore.
  * Fixed d/copyright.
  * Standards-Version is 3.9.7 now (no change).

 -- Ondřej Nový <novy@ondrej.org>  Fri, 26 Feb 2016 22:29:07 +0100

python-pyeclib (1.1.1-2) unstable; urgency=medium

  * Rebuild with liberasurecode 1.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Dec 2015 23:54:00 +0000

python-pyeclib (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add --install-liberasurecode=no when installing with "python setup.py
    install".
  * Drop version of python-all-dev build-depends.
  * Dropped big-endian.patch applied upstream.
  * Rebased patches:
    - disable-check-for-liberasure-code.patch
    - more-rpath-tweak-removal.patch
  * Overrides dh_auto_install, not dh_install.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Nov 2015 11:08:06 +0000

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,25 @@
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
-           Gonéri Le Bouder <goneri@debian.org>
+           Gonéri Le Bouder <goneri@debian.org>,
+           Ondřej Nový <novy@ondrej.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                liberasurecode-dev (>= 1.0.8),
-               python-all-dev (>= 2.6.6-3~),
+               python-all-dev,
                python-setuptools,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pyeclib.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pyeclib.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pyeclib.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-pyeclib.git
 Homepage: https://bitbucket.org/kmgreen2/pyeclib
 
 Package: python-pyeclib
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Suggests: libjerasure2
 Description: interface for implementing erasure codes - Python 2.x
  This library provides a simple Python interface for implementing erasure
  codes. To obtain the best possible performance, the underlying erasure code
@@ -41,6 +43,7 @@
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Suggests: libjerasure2
 Description: interface for implementing erasure codes - Python 3.x
  This library provides a simple Python interface for implementing erasure
  codes. To obtain the best possible performance, the underlying erasure code

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,12 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
-override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+override_dh_auto_install:
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-pyeclib; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-pyeclib; \
 	done

=== debian/tests/control ===
Tests: encode-decode encode-decode3
Depends: python-pyeclib,
         python3-pyeclib,

## python-pyeclib 1.2.1

=== debian/changelog ===
python-pyeclib (1.2.1-1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2017 17:30:04 +0000

python-pyeclib (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Upstream moved to official Openstack project
  * Bump liberasurecode-dev dependency to 1.2.0 version
  * Added Flat XOR HD backend to Debian test
  * Print debug info in Debian test

 -- Ondřej Nový <novy@ondrej.org>  Thu, 02 Jun 2016 12:49:11 +0200

python-pyeclib (1.2.0-2) unstable; urgency=medium

  * Tests liberasure backends in Debian tests.
  * Removed Suggests libjerasure2.
  * Standards-Version is 3.9.8 now (no change).

 -- Ondřej Nový <novy@ondrej.org>  Fri, 08 Apr 2016 23:38:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,20 @@
            Ondřej Nový <novy@ondrej.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               liberasurecode-dev (>= 1.0.8),
+               liberasurecode-dev (>= 1.2.0),
                python-all-dev,
                python-setuptools,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pyeclib.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-pyeclib.git
-Homepage: https://bitbucket.org/kmgreen2/pyeclib
+Homepage: https://github.com/openstack/pyeclib
 
 Package: python-pyeclib
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Suggests: libjerasure2
 Description: interface for implementing erasure codes - Python 2.x
  This library provides a simple Python interface for implementing erasure
  codes. To obtain the best possible performance, the underlying erasure code
@@ -43,7 +42,6 @@
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Suggests: libjerasure2
 Description: interface for implementing erasure codes - Python 3.x
  This library provides a simple Python interface for implementing erasure
  codes. To obtain the best possible performance, the underlying erasure code

=== debian/tests/control ===
# Internal - Reed-Solomon
Test-Command: python debian/tests/encode-decode.py liberasurecode_rs_vand
Depends: python-pyeclib

Test-Command: python3 debian/tests/encode-decode.py liberasurecode_rs_vand
Depends: python3-pyeclib

# Internal - Flat XOR HD
Test-Command: python debian/tests/encode-decode.py flat_xor_hd
Depends: python-pyeclib,

Test-Command: python3 debian/tests/encode-decode.py flat_xor_hd
Depends: python3-pyeclib,

# Jerasure
Test-Command: python debian/tests/encode-decode.py jerasure_rs_vand
Depends: python-pyeclib,
         libjerasure2,

Test-Command: python3 debian/tests/encode-decode.py jerasure_rs_vand
Depends: python3-pyeclib,
         libjerasure2,

# ISA-L
Test-Command: python debian/tests/encode-decode.py isa_l_rs_vand
Depends: python-pyeclib,
         libisal2,

Test-Command: python3 debian/tests/encode-decode.py isa_l_rs_vand
Depends: python3-pyeclib,
         libisal2,

## python-pyeclib 1.3.1

=== Makefile ===
--- 
+++ 
@@ -47,6 +47,6 @@
 		$(UNITS)
 
 clean:
-	-rm -f pyeclib_c.so
+	-rm -f pyeclib_c*.so
 	-rm -rf build
 	python setup.py clean

=== debian/changelog ===
python-pyeclib (1.3.1-1ubuntu3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:55:09 +1200

python-pyeclib (1.3.1-1ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:53:03 +1200

python-pyeclib (1.3.1-1ubuntu1) zesty; urgency=medium

  * debian/tests/control: Disable tests for ISA-L since
    tests do not run on non-amd64 arches. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 12:54:46 -0500

python-pyeclib (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Removed Pre-Depends on dpkg

 -- Ondřej Nový <onovy@debian.org>  Sat, 08 Oct 2016 20:28:22 +0200

python-pyeclib (1.2.1-2) unstable; urgency=medium

  * d/{control,copyright}: Use my @debian.org email address
  * Fixed .gitreview file
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Fri, 23 Sep 2016 21:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: python-pyeclib
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
            Gonéri Le Bouder <goneri@debian.org>,
-           Ondřej Nový <novy@ondrej.org>,
+           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                liberasurecode-dev (>= 1.2.0),
@@ -15,13 +16,12 @@
                python3-all-dev,
                python3-setuptools
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pyeclib.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-pyeclib.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pyeclib
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pyeclib -b debian/newton
 Homepage: https://github.com/openstack/pyeclib
 
 Package: python-pyeclib
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Description: interface for implementing erasure codes - Python 2.x
  This library provides a simple Python interface for implementing erasure
@@ -40,7 +40,6 @@
 
 Package: python3-pyeclib
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Description: interface for implementing erasure codes - Python 3.x
  This library provides a simple Python interface for implementing erasure

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = https://bitbucket.org/kmgreen2/pyeclib.git
+UPSTREAM_GIT = https://github.com/openstack/pyeclib.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

=== debian/tests/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
          libjerasure2,
 
 # ISA-L
-Test-Command: python debian/tests/encode-decode.py isa_l_rs_vand
-Depends: python-pyeclib,
-         libisal2,
+#Test-Command: python debian/tests/encode-decode.py isa_l_rs_vand
+#Depends: python-pyeclib,
+#         libisal2,
 
-Test-Command: python3 debian/tests/encode-decode.py isa_l_rs_vand
-Depends: python3-pyeclib,
-         libisal2,
+#Test-Command: python3 debian/tests/encode-decode.py isa_l_rs_vand
+#Depends: python3-pyeclib,
+#         libisal2,

## python-pyeclib 1.4.0

=== debian/changelog ===
python-pyeclib (1.4.0-2) unstable; urgency=medium

  * Prevent division by zero in tests (patch from upstream)

 -- Ondřej Nový <onovy@debian.org>  Sun, 25 Dec 2016 21:01:35 +0100

python-pyeclib (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper version to 10
  * debian/tests/control: Add isa_l_rs_cauchy backend test

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Dec 2016 23:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: python-pyeclib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
            Gonéri Le Bouder <goneri@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                liberasurecode-dev (>= 1.2.0),
                python-all-dev,

=== debian/tests/control ===
--- 
+++ 
@@ -21,11 +21,20 @@
 Depends: python3-pyeclib,
          libjerasure2,
 
-# ISA-L
-#Test-Command: python debian/tests/encode-decode.py isa_l_rs_vand
-#Depends: python-pyeclib,
-#         libisal2,
+# ISA-L RS VAND
+Test-Command: python debian/tests/encode-decode.py isa_l_rs_vand
+Depends: python-pyeclib,
+         libisal2,
 
-#Test-Command: python3 debian/tests/encode-decode.py isa_l_rs_vand
-#Depends: python3-pyeclib,
-#         libisal2,
+Test-Command: python3 debian/tests/encode-decode.py isa_l_rs_vand
+Depends: python3-pyeclib,
+         libisal2,
+
+# ISA-L RS Cauchy
+Test-Command: python debian/tests/encode-decode.py isa_l_rs_cauchy
+Depends: python-pyeclib,
+         libisal2,
+
+Test-Command: python3 debian/tests/encode-decode.py isa_l_rs_cauchy
+Depends: python3-pyeclib,
+         libisal2,

## python-pyeclib 1.5.0

=== debian/changelog ===
python-pyeclib (1.5.0-4) unstable; urgency=medium

  * d/control:
    - Use team+openstack@tracker.debian.org as maintainer
    - Build depend on libisal on amd64 archs to run unit tests during build
    - Build depend on libjerasure to run unit tests during build
  * d/rules: Remove useless debhelper overrides
  * Standards version is 4.2.1 now (no changes)

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 15:05:06 +0200

python-pyeclib (1.5.0-3) unstable; urgency=medium

  * d/tests/*: Don't run encode/decode tests for isa_* ec types on non-amd64
    architures because libisal2 is not available for non-amd64 architectures.
    (Closes: #898733)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Wed, 16 May 2018 12:29:30 +0200

python-pyeclib (1.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Updating standards version to 4.1.4
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Bump my copyright year
  * d/control:
    - Add trailing tilde to min version depend to allow backports
    - Move python3-six from python-pyeclib Depends to python3-pyeclib Depends
      (Closes: #898455)
  * Bump debhelper compat level to 11

 -- Ondřej Nový <onovy@debian.org>  Mon, 14 May 2018 13:13:18 +0200

python-pyeclib (1.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * (Build-)Depend on python-six
  * d/p/Prevent_division_by_zero_in_tests.patch: Removed, applied upstream
  * d/tests: Bump required version of libjerasure2
  * Enable hardening

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.

 -- Ondřej Nový <onovy@debian.org>  Sun, 06 Aug 2017 19:57:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,37 @@
 Source: python-pyeclib
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>,
-           Gonéri Le Bouder <goneri@debian.org>,
-           Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 10),
-               dh-python,
-               liberasurecode-dev (>= 1.2.0),
-               python-all-dev,
-               python-setuptools,
-               python3-all-dev,
-               python3-setuptools
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pyeclib
-Vcs-Git: https://git.openstack.org/openstack/deb-python-pyeclib -b debian/newton
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Uploaders:
+ Julien Danjou <acid@debian.org>,
+ Thomas Goirand <zigo@debian.org>,
+ Mehdi Abaakouk <sileht@sileht.net>,
+ Gonéri Le Bouder <goneri@debian.org>,
+ Ondřej Nový <onovy@debian.org>,
+Build-Depends:
+ debhelper (>= 11~),
+ dh-python,
+ libisal-dev [amd64 kfreebsd-amd64],
+ liberasurecode-dev (>= 1.2.0),
+ libjerasure-dev (>= 2.0.0+2017.04.10.git.de1739cc84),
+ python-all-dev,
+ python-setuptools,
+ python-six (>= 1.9.0),
+ python3-all-dev,
+ python3-setuptools,
+ python3-six (>= 1.9.0),
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pyeclib
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pyeclib.git
 Homepage: https://github.com/openstack/pyeclib
 
 Package: python-pyeclib
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends:
+ python-six (>= 1.9.0),
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends},
 Description: interface for implementing erasure codes - Python 2.x
  This library provides a simple Python interface for implementing erasure
  codes. To obtain the best possible performance, the underlying erasure code
@@ -39,7 +49,11 @@
 
 Package: python3-pyeclib
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends:
+ python3-six (>= 1.9.0),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: interface for implementing erasure codes - Python 3.x
  This library provides a simple Python interface for implementing erasure
  codes. To obtain the best possible performance, the underlying erasure code

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
@@ -29,11 +31,3 @@
 		python$$pyvers setup.py test ; \
 	done
 endif
-
-# Commands not to run
-override_dh_installcatalogs:
-override_dh_installemacsen override_dh_installifupdown:
-override_dh_installinfo override_dh_installmenu override_dh_installmime:
-override_dh_installmodules override_dh_installlogcheck:
-override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
-override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/tests/control ===
--- 
+++ 
@@ -15,26 +15,26 @@
 # Jerasure
 Test-Command: python debian/tests/encode-decode.py jerasure_rs_vand
 Depends: python-pyeclib,
-         libjerasure2,
+         libjerasure2 (>= 2.0.0+2017.04.10.git.de1739cc84),
 
 Test-Command: python3 debian/tests/encode-decode.py jerasure_rs_vand
 Depends: python3-pyeclib,
-         libjerasure2,
+         libjerasure2 (>= 2.0.0+2017.04.10.git.de1739cc84),
 
 # ISA-L RS VAND
 Test-Command: python debian/tests/encode-decode.py isa_l_rs_vand
 Depends: python-pyeclib,
-         libisal2,
+         libisal2 [amd64 kfreebsd-amd64],
 
 Test-Command: python3 debian/tests/encode-decode.py isa_l_rs_vand
 Depends: python3-pyeclib,
-         libisal2,
+         libisal2 [amd64 kfreebsd-amd64],
 
 # ISA-L RS Cauchy
 Test-Command: python debian/tests/encode-decode.py isa_l_rs_cauchy
 Depends: python-pyeclib,
-         libisal2,
+         libisal2 [amd64 kfreebsd-amd64],
 
 Test-Command: python3 debian/tests/encode-decode.py isa_l_rs_cauchy
 Depends: python3-pyeclib,
-         libisal2,
+         libisal2 [amd64 kfreebsd-amd64],

## python-pyeclib 1.6.0

=== debian/changelog ===
python-pyeclib (1.6.0-8) unstable; urgency=medium

  * Rebuilt with Python 3.11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Jan 2023 10:44:30 +0100

python-pyeclib (1.6.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools >= 60. (Closes: #1022470)
  * Switch from nose to pytest. (Closes: #1018561)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 17:56:43 +0200

python-pyeclib (1.6.0-7) unstable; urgency=medium

  * Add Use_Py_ssize_t_when_calling_PyArg_Parse.patch (Closes: #999391).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Nov 2021 19:11:24 +0100

python-pyeclib (1.6.0-6) unstable; urgency=medium

  * d/tests/encode-decode.py: Fix typo.

 -- Ondřej Nový <onovy@debian.org>  Mon, 13 Jan 2020 21:21:22 +0100

python-pyeclib (1.6.0-5) unstable; urgency=medium

  * d/tests: Run on all Python versions.
  * d/tests/encode-decode.py: Merge changes from Ubuntu:
    - Ensure the tests against isa_* are well skipped for no-64 bit machines.
    - Rework test as return can't be used outside a function.

 -- Ondřej Nový <onovy@debian.org>  Sun, 12 Jan 2020 16:10:24 +0100

python-pyeclib (1.6.0-4) unstable; urgency=medium

  * Running wrap-and-sort -bast.
  * Bump Standards-Version to 4.4.1.
  * Add arm64 support for libisal.

 -- Ondřej Nový <onovy@debian.org>  Mon, 21 Oct 2019 15:59:31 +0200

python-pyeclib (1.6.0-3) unstable; urgency=medium

  * Use nosetests for running tests (same as upstream)
  * Skip test_get_metadata_memory_usage (doesn't work on mips64el)

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Jul 2019 18:37:45 +0200

python-pyeclib (1.6.0-2) unstable; urgency=medium

  * Bump required version of liberasurecode-dev to 1.6.0

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Jul 2019 15:17:27 +0200

python-pyeclib (1.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Running wrap-and-sort -bast.
  * d/copyright: Bump my copyright year.
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Drop Python 2 support
  * Use pybuild for building package
  * Bump debhelper compat level to 12 and use debhelper-compat

  [ Thomas Goirand ]
  * Remove Julien, Mehdi and Goneri from uploaders (Closes: #928568).

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 20:25:21 +0200

=== debian/control ===
Source: python-pyeclib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 liberasurecode-dev (>= 1.6.0),
 libisal-dev [amd64 kfreebsd-amd64 arm64],
 libjerasure-dev (>= 2.0.0+2017.04.10.git.de1739cc84),
 python3-all-dev,
 python3-pytest,
 python3-setuptools,
 python3-six (>= 1.9.0),
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pyeclib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pyeclib.git
Homepage: https://github.com/openstack/pyeclib

Package: python3-pyeclib
Architecture: any
Depends:
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: interface for implementing erasure codes - Python 3.x
 This library provides a simple Python interface for implementing erasure
 codes. To obtain the best possible performance, the underlying erasure code
 algorithms are written in C.
 .
 This library makes use of Jerasure for Reed-Solomon and provides its own flat
 XOR-based erasure code encoder and decoder. Currently, it implements a
 specific class of HD Combination Codes (see "Flat XOR-based erasure codes in
 storage systems: Constructions, efficient recovery, and tradeoffs" in IEEE
 MSST 2010). These codes are well-suited to archival use-cases, have a simple
 construction and require a minimum number of participating disks during
 single-disk reconstruction (think XOR-based LRC code).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=py
export PYBUILD_TEST_ARGS=-k 'not test_get_metadata_memory_usage'

UPSTREAM_GIT = https://github.com/openstack/pyeclib.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pyeclib 1.6.1

=== doc/requirements.txt ===
sphinx>=1.1.2,!=1.2.0,!=1.3b1  # BSD

=== debian/changelog ===
python-pyeclib (1.6.1-2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:03:06 +0100

python-pyeclib (1.6.1-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Allow stderr for deprecated jerasure.

 -- Ondřej Nový <onovy@debian.org>  Thu, 28 Mar 2024 12:00:53 +0100

python-pyeclib (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove myself from Uploaders.
  * d/p/Use_Py_ssize_t_when_calling_PyArg_Parse.patch:
    Remove, applied upstream.
  * d/p/setuptools-60.patch:
    Rebased.
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.6.2.

 -- Ondřej Nový <onovy@debian.org>  Wed, 20 Mar 2024 08:30:04 +0100

python-pyeclib (1.6.0-9) unstable; urgency=medium

  * Added tzdata as build-depends (Closes: #1031362).
  * Removed b-d versions when satisfied in Stable.
  * Added -v when running tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 10:44:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- liberasurecode-dev (>= 1.6.0),
+ liberasurecode-dev,
  libisal-dev [amd64 kfreebsd-amd64 arm64],
- libjerasure-dev (>= 2.0.0+2017.04.10.git.de1739cc84),
+ libjerasure-dev,
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
- python3-six (>= 1.9.0),
-Standards-Version: 4.4.1
+ python3-six,
+ tzdata,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pyeclib
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pyeclib.git
 Homepage: https://github.com/openstack/pyeclib
@@ -23,7 +23,7 @@
 Package: python3-pyeclib
 Architecture: any
 Depends:
- python3-six (>= 1.9.0),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=py
export PYBUILD_TEST_ARGS=-v -k 'not test_get_metadata_memory_usage'

UPSTREAM_GIT = https://github.com/openstack/pyeclib.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pyeclib 1.7.0

=== doc/requirements.txt ===
sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.8.0;python_version>='3.4'  # BSD
openstackdocstheme>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-pyeclib (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed now useless setuptools-60.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 14:02:05 +0100
